Cobrança
Listar transações da carteira
Listar transações de cobrança
GET
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
transactions
Listar transações de cobrança
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"page_size": 123,
"total": 123,
"items": [
{
"amount": "<string>",
"currency": "<string>",
"direction": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"balance_after": "<string>",
"description": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizações
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Parâmetros de caminho
Resposta
Número de página baseado em um atual
Máximo de itens por página
Total de transações de carteira correspondentes
Transações da carteira nesta página
Hide child attributes
Hide child attributes
Valor da transação
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Código da moeda da carteira
Direção da transação
Carimbo de data e hora efetivo da transação
Status da transação da carteira
Transação de carteira UUID
Tipo de transação da carteira
Saldo da carteira após a transação
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Descrição da transação
Esta página foi útil?
⌘I
Listar transações de cobrança
